Cupti: CUpti_ActivitySharedAccess Struct Reference

# CUpti_ActivitySharedAccess Struct Reference
[CUPTI Activity API]

The activity record for source-level shared access. More...

## Data Fields
uint32_t | correlationId
uint32_t | executed
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint32_t | pad
uint32_t | pcOffset
uint64_t | sharedTransactions
uint32_t | sourceLocatorId
uint64_t | theoreticalSharedTransactions
uint64_t | threadsExecuted

## Detailed Description

This activity records the locations of the shared accesses in the source (CUPTI_ACTIVITY_KIND_SHARED_ACCESS).

## Field Documentation

uint32_t CUpti_ActivitySharedAccess::correlationId

The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivitySharedAccess::executed

The number of times this instruction was executed per warp. It will be incremented when at least one of thread among warp is active with predicate and condition code evaluating to true.

CUpti_ActivityFlag CUpti_ActivitySharedAccess::flags

The properties of this shared access.

uint32_t CUpti_ActivitySharedAccess::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivitySharedAccess::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_SHARED_ACCESS.

uint32_t CUpti_ActivitySharedAccess::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivitySharedAccess::pcOffset

The pc offset for the access.

uint64_t CUpti_ActivitySharedAccess::sharedTransactions

The total number of shared memory transactions generated by this access

uint32_t CUpti_ActivitySharedAccess::sourceLocatorId

The ID for source locator.

uint64_t CUpti_ActivitySharedAccess::theoreticalSharedTransactions

The minimum number of shared memory transactions possible based on the access pattern.

uint64_t CUpti_ActivitySharedAccess::threadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.